Page MenuHomePhabricator

Notify community of upcoming PDF button deployment
Closed, ResolvedPublic

Description

Background

We would like to notify our communities on-wiki and/or via email of the upcoming download functionality on mobile prior to deploying the feature.

What is the problem?

  • Notify community prior to feature release

How does success of this task look like? How do we know when we are done?

  • We would like one notification before the initial deployment to Google Chrome, followed by another update on the treatment of other browsers (to be tracked in a separate task)

Is there any goal, program, project, team related with this request? Please provide links and use the corresponding Phabricator tags when available.

What is your expected timeline from start to end? Is there a hard deadline?

  • Initial announcement - November 2017
  • Update - January 2017

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 9 2017, 10:39 AM
Elitre added a subscriber: Elitre.Nov 9 2017, 12:22 PM

How about using the banners, like we did a while ago?

CKoerner_WMF edited subscribers, added: CKoerner_WMF; removed: Ckoerner.

I would love to use a banner for this functionality.

I've been wanting to explore using CN to announce new site functionality.

Happy to chat about this.

Elitre added a subscriber: Johan.Nov 10 2017, 4:49 PM

@Johan may have thoughts.

Johan added a comment.Nov 10 2017, 4:53 PM

How wide-spread? When we talked about PDFs regarding OCG/Electron/new development, we did so on pages specifically related to the PDF function, which meant that it was relevant for basically everyone who saw it. PDFs for mobile, on the other hand, is something that smaller percentage will use.

Qgil added a subscriber: Qgil.

What is the problem?

This seems clear.

How does success of this task look like? How do we know when we are done?

This is being discussed.

Is there any goal, program, project, team related with this request? Please provide links and use the corresponding Phabricator tags when available.

Done.

What is your expected timeline from start to end? Is there a hard deadline?

Not specified here but seeing how quickly this task has been assigned and prioritized, I guess it's urgent. :) Still, could you specify here, please?

I think this one is a bit more straightforward, as we won't affect current functionality, but is rather additional functionality. I would say that a general message would be a bit more straightforward than putting a banner on all pages on mobilefrontend.

ovasileva updated the task description. (Show Details)Nov 13 2017, 3:56 PM

I'm drafting an message to let folks know of the new feature. We'll post it to wikitech-l, offline-l, and mobile-l. I'll mention it in Tech/News and the next monthly Readers update.

I'll ask for translations and post it to Village Pumps (technical) as well.

https://www.mediawiki.org/wiki/User:CKoerner_(WMF)/Mobile_PDF

Olga posted the message to the mailing lists.

I added it to Tech News for next week.
https://meta.wikimedia.org/wiki/Tech/News/2017/47

The feature was also mentioned in the Tech Showcase newsletter: https://www.mediawiki.org/wiki/Newsletter:Tech_Showcase

Working on making the Village Pump post translatable.

The Village Pump message has been marked for translation and I've asked volunteers for assistance in translating.

https://www.mediawiki.org/wiki/User:CKoerner_(WMF)/Mobile_PDF

I forgot to include this earlier. Olga posted to the mailing lists here: https://lists.wikimedia.org/pipermail/wikitech-l/2017-November/089106.html

I just sent the announcement out to Village Pumps for all projects. A total of 627 messages.

I responded to the question on the ZH Wikivoyage after Olga and I met this week. I haven't been pinged and I checked other Village Pumps (Top ten in each project and about 50 at random) and haven't seen any responses.

It's been a week since I posted. We'll provide another update on the treatment of other browsers (to be tracked in a separate task). For now I consider this resolved.

CKoerner_WMF closed this task as Resolved.Nov 30 2017, 3:18 PM
Qgil awarded a token.Dec 7 2017, 10:55 AM